package com.lantone.qc.kernel.catalogue.firstpagerecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @ClassName : FIRP02907
 * @Description : 出院病房未填写
 * @Author : 胡敬
 * @Date: 2020-06-04 17:45
 */
@Component
public class FIRP02907 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        if (inputInfo.getFirstPageRecordDoc() == null) {
            status.set("0");
            return;
        }
        if (inputInfo.getFirstPageRecordDoc().getStructureMap() != null) {
            Map<String, String> firstpageStructureMap = inputInfo.getFirstPageRecordDoc().getStructureMap();
            String dischargeWard = firstpageStructureMap.get("出院病房");
            String dischargeBedNum = firstpageStructureMap.get("出院床位序号");
            if (StringUtil.isNotBlank(dischargeWard) || StringUtil.isNotBlank(dischargeBedNum)) {
                status.set("0");
            }
        }
    }
}